Package org.eclipse.jface.action

## Class AbstractGroupMarker

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.jface.action.AbstractGroupMarker

All Implemented Interfaces:
  `IContributionItem`

Direct Known Subclasses:
  `GroupMarker`, `Separator`

    public abstract class AbstractGroupMarker
    extends ContributionItem

Abstract superclass for group marker classes.

This class is not intended to be subclassed outside the framework.

Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`protected` `AbstractGroupMarker()` Constructor for use by subclasses.
`protected` `AbstractGroupMarker​(String groupName)` Create a new group marker with the given name.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getGroupName()` Returns the group name.
`boolean` `isEnabled()` Always return `false` as group markers (including separators) are only there for visual separation, not meant to be actionable.
`boolean` `isGroupMarker()` The `AbstractGroupMarker` implementation of this `IContributionItem` method returns `true` iff the id is not `null`.

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`dispose, fill, fill, fill, fill, getId, getParent, isDirty, isDynamic, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractGroupMarker

    protected AbstractGroupMarker()

Constructor for use by subclasses.

#### AbstractGroupMarker

    protected AbstractGroupMarker​(String groupName)

Create a new group marker with the given name. The group name must not be `null` or the empty string. The group name is also used as the item id.

Parameters:
  `groupName` - the name of the group

### Method Detail

#### getGroupName

    public String getGroupName()

Returns the group name.

Returns:
  the group name

#### isEnabled

    public boolean isEnabled()

Always return `false` as group markers (including separators) are only there for visual separation, not meant to be actionable.

Specified by:
  `isEnabled` in interface `IContributionItem`
Overrides:
  `isEnabled` in class `ContributionItem`
Returns:
  `true` if this item is enabled

#### isGroupMarker

    public boolean isGroupMarker()

The `AbstractGroupMarker` implementation of this `IContributionItem` method returns `true` iff the id is not `null`. Subclasses may override.

Specified by:
  `isGroupMarker` in interface `IContributionItem`
Overrides:
  `isGroupMarker` in class `ContributionItem`
Returns:
  `true` if this item is a group marker, and `false` for normal items
See Also:
  `GroupMarker`, `IContributionManager.appendToGroup(String, IContributionItem)`, `IContributionManager.prependToGroup(String, IContributionItem)`